from setuptools import setup
from distutils.extension import Extension
import numpy

ext_modules = [
    Extension("emzed_optimizations.sample",
              ["emzed_optimizations/sample.c"],

              )
]

version = "0.3.3"
version_tuple = tuple(map(int, version.split(".")))

with open("emzed_optimizations/version.py", "w") as fp:
    fp.write("version = %r\n" % (version_tuple,))

setup(name="emzed_optimizations",
      version=version,
      author="Uwe Schmitt",
      author_email="mail@uweschmitt.info",
      description="particular optimizations for speeding up emzed",
      license="BSD",
      url="http://github.com/uweschmitt/emzed_optimizations",
      packages=["emzed_optimizations"],
      zip_safe=False,
      include_dirs=[numpy.get_include()],
      ext_modules=ext_modules)
